package basic.BuilderTypeManager.model;

/**
 * Created by fanwang on 9/8/16.
 *
 * this interface is the BuilderType interface, all Market Configs can implements this interface
 */
public interface IBuilderTypeInterface {
    //-------华数鉴权相关---------
    public String getSiteId();

    public String getManageUrl();

    public String getPayUrl();

    public String getPlayUrl();

    public String getPayTypeUrl();
    //---------其他--------------

    public String getChannelId();

    /**
     * 程序外调默认域名
     */
    public String getHTTP_DOMAIN();

    /**
     *
     * @return 阿里统计appkey
     */
    public String getAppKey();

    /**
     *
     * @return 阿里统计appsecret
     */
    public String getaAppSecret();

    /**
     *
     * @return开启的统计
     */
    public int getStatistics_open();

    /**
     *
     * @return 首页地址
     */
    public String getHome_url();

    /**
     *
     * @return 追剧url
     */
    public String getFOCUS_URL();

    /**
     *
     * @return 统一登录地址
     */
    public String getLoginurl();

    /**
     *
     * @return  广告
     */
    public String getAD();

    /**
     *
     * @return  升级
     */
    public String getUpdate();

    /**
     *
     * @return  升级信息
     */
    public String getUpdate_info();

    /**
     *
     * @return  是否是launch版本
     */
    public boolean getIsLauncher();

    /**
     *
     * @return  用户中心地址
     */
    public String getUserCenterUrl();

    /**
     *
     * @return  是否隐藏用户中心
     */
    public boolean getHide_usercenter();

    /**
     *
     * @return  APP默认配置信息URL
     */
    public String getConfigUrl();

    /**
     *
     * @return  默认用户中心域名
     */
    public String getHttp_user();

    /**
     *
     * @return  默认广告域名
     */
    public String getHttp_ad();

    /**
     * @return 退出页推荐视频数据获取地址
     * */
    public String getExit_Recommend_Data();
}
